local S = minetest.get_translator("hades_columnia")
 
--[[ 
 hades_columnia.register_all   (
	mat, 
	desc, 
	image, 
	groups, 
	craft, 
	sounds
	)
	--]]

hades_columnia.register_all("hades_core:sandstone")
hades_columnia.register_all("hades_core:cobble_sandstone")
hades_columnia.register_all("hades_core:sandstonebrick")
hades_columnia.register_all("hades_core:sandstone_volcanic")
hades_columnia.register_all("hades_core:cobble_sandstone_volcanic")
hades_columnia.register_all("hades_core:sandstone_volcanic_brick")
hades_columnia.register_all("hades_core:cobble")
hades_columnia.register_all("hades_core:cobble_baked")
hades_columnia.register_all("hades_core:stone")
hades_columnia.register_all("hades_core:cactus_brick")
hades_columnia.register_all("hades_core:stone_baked")
hades_columnia.register_all("hades_core:stonebrick_baked")
hades_columnia.register_all("hades_core:mossycobble")
hades_columnia.register_all("hades_core:mossystone")
hades_columnia.register_all("hades_core:obsidian")
hades_columnia.register_all("hades_core:obsidianbrick")
hades_columnia.register_all("hades_core:stonebrick")

hades_columnia.register_all("hades_trees:wood", S("Temperate Wood"))
hades_columnia.register_all("hades_trees:jungle_wood", S("Tropical Wood"))
hades_columnia.register_all("hades_trees:pale_wood", S("Pale Wood"))
hades_columnia.register_all("hades_trees:cream_wood", S("Cream Wood"))
hades_columnia.register_all("hades_trees:lush_wood", S("Lush Wood"))
hades_columnia.register_all("hades_trees:colwood_uncolored", S("Uncolored Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_black", S("Black Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_blue", S("Blue Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_brown", S("Brown Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_cyan", S("Cyan Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_dark_green", S("Dark Green Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_dark_grey", S("Dark Grey Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_grey", S("Grey Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_green", S("Green Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_magenta", S("Magenta Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_orange", S("Orange Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_pink", S("Pink Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_red", S("Red Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_violet", S("Violet Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_white", S("White Canvas Wood"))
hades_columnia.register_all("hades_trees:colwood_yellow", S("Yellow Canvas Wood"))

hades_columnia.register_all("hades_trees:bark")
hades_columnia.register_all("hades_trees:jungle_bark")
hades_columnia.register_all("hades_trees:olive_bark")
hades_columnia.register_all("hades_trees:pale_bark")
hades_columnia.register_all("hades_trees:birch_bark")
hades_columnia.register_all("hades_trees:orange_bark")
hades_columnia.register_all("hades_trees:canvas_bark")
hades_columnia.register_all("hades_trees:banana_bark")
hades_columnia.register_all("hades_trees:coconut_bark")
hades_columnia.register_all("hades_trees:cocoa_bark")
hades_columnia.register_all("hades_trees:pear_bark")

hades_columnia.register_all("hades_core:brick", S("Uncolored Brick"))
hades_columnia.register_all("hades_core:brick_black", S("Black Brick"))
hades_columnia.register_all("hades_core:brick_blue", S("Blue Brick"))
hades_columnia.register_all("hades_core:brick_brown", S("Brown Brick"))
hades_columnia.register_all("hades_core:brick_cyan", S("Cyan Brick"))
hades_columnia.register_all("hades_core:brick_dark_green", S("Dark Green Brick"))
hades_columnia.register_all("hades_core:brick_dark_grey", S("Grey Brick"))
hades_columnia.register_all("hades_core:brick_green", S("Green Brick"))
hades_columnia.register_all("hades_core:brick_grey", S("Grey Brick"))
hades_columnia.register_all("hades_core:brick_magenta", S("Magenta Brick"))
hades_columnia.register_all("hades_core:brick_orange", S("Orange Brick"))
hades_columnia.register_all("hades_core:brick_pink", S("Pink Brick"))
hades_columnia.register_all("hades_core:brick_red", S("Red Brick"))
hades_columnia.register_all("hades_core:brick_violet", S("Violet Brick"))
hades_columnia.register_all("hades_core:brick_white", S("White Brick"))
hades_columnia.register_all("hades_core:brick_yellow", S("Yellow Brick"))

hades_columnia.register_all("hades_core:marble_brick")
hades_columnia.register_all("hades_core:marble")
hades_columnia.register_all("hades_core:chondrite")
hades_columnia.register_all("hades_core:chondrite_brick")
hades_columnia.register_all("hades_core:basalt")
hades_columnia.register_all("hades_core:basalt_brick")
hades_columnia.register_all("hades_core:tuff")
hades_columnia.register_all("hades_core:mossytuff")
hades_columnia.register_all("hades_core:tuff_brick")
hades_columnia.register_all("hades_core:tuff_baked")
hades_columnia.register_all("hades_core:tuff_baked_brick")
hades_columnia.register_all("hades_core:essexite")
hades_columnia.register_all("hades_core:essexite_brick")

hades_columnia.register_all("hades_core:olivine")
hades_columnia.register_all("hades_core:olivine_brick")
hades_columnia.register_all("hades_core:apolline")
hades_columnia.register_all("hades_core:apolline_brick")
hades_columnia.register_all("hades_core:orangite")
hades_columnia.register_all("hades_core:orangite_brick")
hades_columnia.register_all("hades_core:cinnabar")
hades_columnia.register_all("hades_core:cinnabar_brick")
hades_columnia.register_all("hades_core:turquosite")
hades_columnia.register_all("hades_core:turquosite_brick")
hades_columnia.register_all("hades_core:azurite")
hades_columnia.register_all("hades_core:azurite_brick")
hades_columnia.register_all("hades_core:lillite")
hades_columnia.register_all("hades_core:lillite_brick")

hades_columnia.register_all("hades_columnia:rusty_block")

hades_columnia.add_moss_extensions("hades_core:stone", "hades_core:mossystone")
hades_columnia.add_moss_extensions("hades_core:tuff", "hades_core:mossytuff")
hades_columnia.add_moss_extensions("hades_core:cobble", "hades_core:mossycobble")
